Requests | Assign team

Purpose

A simple end-point to assign a provider team. This is needed before submitting a quote, or in case a rate-card is available but multiple teams could apply for the same request.

Access

A provider can only assign teams associated with their account. PUT actions for other shipments or teams are rejected.

An access token is required to POST to this end-point.
Contact [email protected] to obtain your token.

Request URI

PUT https://pluto.cargobase.com/api/1/requests/S12345678/assign/
Content-Type: application/json
Authorization: Token 'your_token_here'

Message body definition

PUT parameterValueRequired
provider_referenceSTRING - The provider team team reference number as mentioned in the requestYes

Event types

Event types are used to categorise your updates. You do not need to send an event-type, however if you do it has to be one of the following categories.

Message body sample

Regular update

{
  "primary_tracking_number": "PT1234678"
}

Status codes

StatusDescriptionResolution
200Team is assigned--
400Bad RequestMost often this means that a team is already assigned
403ForbiddenCheck Authentication credentials
404Not FoundCheck the shipment ID in the URL
415Unsupported media typeAdd Content-Type: application/json

Status code 200

Status code 201 signifies that the message is well received, and a confirmation number is provided in the response

{
    "message": "Team is assigned"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Replace with the Shipment ID of the request.

Body Params
Response

Language
Credentials
http
LoadingLoading…
Response
Click Try It! to start a request and see the response here!